### Method

# EDataServer Source get_parent

since: 3.6

#### Declaration [src]

    const gchar*
    e_source_get_parent (
      ESource* source
    )

#### Description [src]

Returns the unique identifier string of the parent `ESource`.

Available since: 3.6

Gets property | `EDataServer.Source:parent`

#### Return value

Type: `const gchar*`

The UID of the parent `ESource`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.